Package org.globus.gsi.provider

# Class KeyStoreParametersFactory

java.lang.Object
org.globus.gsi.provider.KeyStoreParametersFactory

public class KeyStoreParametersFactory extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`KeyStoreParametersFactory.FileStoreParameters`

## Constructor Summary

Constructors
Constructor
Description
`KeyStoreParametersFactory()`

## Method Summary

Modifier and Type
Method
Description
`static KeyStore.LoadStoreParameter`
`createCertKeyParameters(String certLocations, String keyLocation)`
`static KeyStore.LoadStoreParameter`
`createProxyCertParameters(String proxyCertLocation)`
`static KeyStore.LoadStoreParameter`
`createTrustStoreParameters(String trustedCertificateDirectories)`
`static KeyStore.LoadStoreParameter`
`createTrustStoreParameters(String trustedCertificateDirectories, String defaultDirectory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KeyStoreParametersFactory

public KeyStoreParametersFactory()

## Method Details

### createCertKeyParameters

public static KeyStore.LoadStoreParameter createCertKeyParameters(String certLocations, String keyLocation)

### createProxyCertParameters

public static KeyStore.LoadStoreParameter createProxyCertParameters(String proxyCertLocation)

### createTrustStoreParameters

public static KeyStore.LoadStoreParameter createTrustStoreParameters(String trustedCertificateDirectories)

### createTrustStoreParameters

public static KeyStore.LoadStoreParameter createTrustStoreParameters(String trustedCertificateDirectories, String defaultDirectory)